更多相关内容...>>VPS上用debian装transmission教程
VPS上用debian装transmission教程
1. 前言:
8h59ye http://blog.numino.net/
原来都是在Centos上装Transmission挂PT的,这两天在折腾我的VPS,分别试着在Centos和Debian上安装了rtorrent+rutorrent,结果发现rtorrent和transmission相比,并不是很稳定,经常崩溃,虽然可以写脚本定时检查重启,但每次重启都会重新hash文件,问题多多,所以个人以为还是transmission比较合适个人安装使用,之所以rtorrent很多seedbox在用,主要是它比较容易支持多用户,适合多人共享。最终决定还是装回transmission,因为reload的OS是debian,所以也不准备换成centos,于是就有了这篇教程。
EbY8JU http://blog.numino.net/
2.升级系统
4iJOrY http://blog.numino.net/
我这里reload的是debian-5.0x86的,不同的版本有可能出现的错误不一样,有问题可以跟贴问,为了方便,我这里都是用root登录安装的
MdQuN3 http://blog.numino.net/
首先升级系统:apt-get update
hOBHXu http://blog.numino.net/
apt-get upgrade
3TOWjz http://blog.numino.net/
复制代码结果第一条命令就有错误:GPG error: http://ftp.de.debian.org lenny/updates Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY AED4B06F473041FA
otHfpR http://blog.numino.net/
复制代码你不能忽略这这个,不然下面安装必要库文件的时候会有些库装不上,要解决这个错误,输入下面命令apt-get install debian-archive-keyring
LY9v0v http://blog.numino.net/
复制代码然后重新输入上面两条命令,这次就没有错误了,你需要等几分钟等这个过程结束,这取决于你的VPS
AAibBP http://blog.numino.net/
3.安装Transmission
bKBQUt http://blog.numino.net/
先安装必要的库文件这个可以在transmission的网站找到,所以很简单,直接输入apt-get install build-essential automake make autoconf libtool pkg-config libcurl4-openssl-dev intltool libxml2-dev libgtk2.0-dev libnotify-dev libglib2.0-dev libevent-dev
66A7rE http://blog.numino.net/
复制代码下载transmission,我这里下的是2.13,并不是最新版,因为最新的版本不在我常去PT的允许客户端列表里,你安装的时候也可以看看你所混的PT的FAQ,然后下载合适的版本,不然被Ban了不要怪我wget http://download.m0k.org/transmission/files/transmission-2.13.tar.bz2
ElhV51 http://blog.numino.net/
tar xvjf transmission-2.13.tar.bz2
uHkoJ5 http://blog.numino.net/
cd transmission-2.13
bnX0O0 http://blog.numino.net/
./configure
uMEx1U http://blog.numino.net/
复制代码在./configure那一步出现错误:configure: error: libevent 1.4.9 or higher not found!
e5MhP3 http://blog.numino.net/
复制代码因此下载安装所需要的libevent版本:wget http://ftp.us.debian.org/debian/pool/main/libe/libevent/libevent-1.4-2_1.4.13-stable-1_i386.deb
qLwrgs http://blog.numino.net/
wget http://ftp.us.debian.org/debian/pool/main/libe/libevent/libevent-core-1.4-2_1.4.13-stable-1_i386.deb
QjPi2R http://blog.numino.net/
wget http://ftp.us.debian.org/debian/pool/main/libe/libevent/libevent-extra-1.4-2_1.4.13-stable-1_i386.deb
rUvUJb http://blog.numino.net/
wget http://ftp.us.debian.org/debian/pool/main/libe/libevent/libevent-dev_1.4.13-stable-1_i386.deb
k8XZL6 http://blog.numino.net/
dpkg -i *.deb
YFfGk6 http://blog.numino.net/
复制代码然后继续./configure
K2327C http://blog.numino.net/
make
1uB2JR http://blog.numino.net/
make install
LxFR1y http://blog.numino.net/
复制代码
Uov9Tf http://blog.numino.net/
4.安装Transmission的启动,停止脚本
d5HFh5 http://blog.numino.net/
脚本在transmission网站有现成的,为了方便起见,我还是把它放在这里
hi1sQg http://blog.numino.net/
#! /bin/sh
145771 http://blog.numino.net/
### BEGIN INIT INFO
JyKVuv http://blog.numino.net/
# Provides: transmission-daemon
h7ECSs http://blog.numino.net/
# Required-Start: networking
0cv86A http://blog.numino.net/
# Required-Stop: networking
3BNkP7 http://blog.numino.net/
# Default-Start: 2 3 5
kl8WkR http://blog.numino.net/
# Default-Stop: 0 1 6
D47m9t http://blog.numino.net/
# Short-Description: Start the transmission BitTorrent daemon client.
Jj6bxy http://blog.numino.net/
### END INIT INFO
ZyT1H0 http://blog.numino.net/
# Original Author: Lennart A. JÃŒtte, based on Rob Howell's script
8rw4zX http://blog.numino.net/
# Modified by Maarten Van Coile & others (on IRC)
u4P7LV http://blog.numino.net/
# Do NOT "set -e"
Ykr13J http://blog.numino.net/
#
B4AHdX http://blog.numino.net/
# ----- CONFIGURATION -----
DdR1s8 http://blog.numino.net/
#
vmsiH7 http://blog.numino.net/
# For the default location Transmission uses, visit:
F159au http://blog.numino.net/
# http://trac.transmissionbt.com/wiki/ConfigFiles
dhr7YZ http://blog.numino.net/
# For a guide on how set the preferences, visit:
heWqma http://blog.numino.net/
# http://trac.transmissionbt.com/wiki/EditConfigFiles
609qy1 http://blog.numino.net/
# For the available environement variables, visit:
bc285Z http://blog.numino.net/
# http://trac.transmissionbt.com/wiki/EnvironmentVariables
eo0UOq http://blog.numino.net/
#
V29j3U http://blog.numino.net/
# The name of the user that should run Transmission.
lOEcgF http://blog.numino.net/
# It's RECOMENDED to run Transmission in it's own user,
9Vt9He http://blog.numino.net/
# by default, this is set to 'transmission'.
xCHHMP http://blog.numino.net/
# For the sake of security you shouldn't set a password
98avda http://blog.numino.net/
# on this user
tHC3io http://blog.numino.net/
USERNAME=transmission
1JfX0I http://blog.numino.net/
# ----- *ADVANCED* CONFIGURATION -----
5mt7Pr http://blog.numino.net/
# Only change these options if you know what you are doing!
25g5TJ http://blog.numino.net/
#
OZAE9a http://blog.numino.net/
# The folder where Transmission stores the config & web files.
LeuAVd http://blog.numino.net/
# ONLY change this you have it at a non-default location
0851DG http://blog.numino.net/
#TRANSMISSION_HOME="/var/config/transmission-daemon"
X4Sdcq http://blog.numino.net/
#TRANSMISSION_WEB_HOME="/usr/share/transmission/web"
OomMH6 http://blog.numino.net/
#
ZbMcCA http://blog.numino.net/
# The arguments passed on to transmission-daemon.
m0G3e6 http://blog.numino.net/
# ONLY change this you need to, otherwise use the
Z3r46F http://blog.numino.net/
# settings file as per above.
rE957p http://blog.numino.net/
#TRANSMISSION_ARGS=""
uzp1Z2 http://blog.numino.net/
# ----- END OF CONFIGURATION -----
7528ia http://blog.numino.net/
#
yUNsRX http://blog.numino.net/
# PATH should only include /usr/* if it runs after the mountnfs.sh script.
exEspv http://blog.numino.net/
PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2nshSU http://blog.numino.net/
DESC="bittorrent client"
nCE67Y http://blog.numino.net/
NAME=transmission-daemon
3sRe3f http://blog.numino.net/
DAEMON=$(which $NAME)
5EO0d0 http://blog.numino.net/
PIDFILE=/var/run/$NAME.pid
PG03W6 http://blog.numino.net/
SCRIPTNAME=/etc/init.d/$NAME
nZ4Taw http://blog.numino.net/
# Exit if the package is not installed
gj7lb9 http://blog.numino.net/
[ -x "$DAEMON" ] || exit 0
kiS0Aj http://blog.numino.net/
# Read configuration variable file if it is present
Hz6xg1 http://blog.numino.net/
[ -r /etc/default/$NAME ] && . /etc/default/$NAME
XgdGab http://blog.numino.net/
# Load the VERBOSE setting and other rcS variables
mC8WnU http://blog.numino.net/
[ -f /etc/default/rcS ] && . /etc/default/rcS
kg1hbK http://blog.numino.net/
#
gzcgOT http://blog.numino.net/
# Function that starts the daemon/service
mzX1pi http://blog.numino.net/
#
IMTtMg http://blog.numino.net/
do_start()
BtD6iX http://blog.numino.net/
{
Cs9d86 http://blog.numino.net/
# Export the configuration/web directory, if set
1us6S9 http://blog.numino.net/
if [ -n "$TRANSMISSION_HOME" ]; then
1zpdf8 http://blog.numino.net/
export TRANSMISSION_HOME
P9wGv4 http://blog.numino.net/
fi
s3n483 http://blog.numino.net/
if [ -n "$TRANSMISSION_WEB_HOME" ]; then
NYUzWk http://blog.numino.net/
export TRANSMISSION_WEB_HOME
koEg4Q http://blog.numino.net/
fi
cB2md8 http://blog.numino.net/
# Return
659704 http://blog.numino.net/
# 0 if daemon has been started
Dq8EWP http://blog.numino.net/
# 1 if daemon was already running
SM0otx http://blog.numino.net/
# 2 if daemon could not be started
TTAM91 http://blog.numino.net/
start-stop-daemon --chuid $USERNAME --start --pidfile $PIDFILE --make-pidfile \
iYzllO http://blog.numino.net/
--exec $DAEMON --background --test -- -f $TRANSMISSION_ARGS > /dev/null \
kTt5EF http://blog.numino.net/
|| return 1
18lshc http://blog.numino.net/
start-stop-daemon --chuid $USERNAME --start --pidfile $PIDFILE --make-pidfile \
5mOT6a http://blog.numino.net/
--exec $DAEMON --background -- -f $TRANSMISSION_ARGS \
f6d6m6 http://blog.numino.net/
|| return 2
OnkzM4 http://blog.numino.net/
}
6qXuJ8 http://blog.numino.net/
#
wEyfrS http://blog.numino.net/
# Function that stops the daemon/service
YO8pPb http://blog.numino.net/
#
QgGZPI http://blog.numino.net/
do_stop()
IJiQ72 http://blog.numino.net/
{
fvQ0GZ http://blog.numino.net/
# Return
ClUL1I http://blog.numino.net/
# 0 if daemon has been stopped
zhCNJt http://blog.numino.net/
# 1 if daemon was already stopped
q0Cna0 http://blog.numino.net/
# 2 if daemon could not be stopped
a5f4z1 http://blog.numino.net/
# other if a failure occurred
ehO11L http://blog.numino.net/
start-stop-daemon --stop --quiet --retry=TERM/10/KILL/5 --pidfile $PIDFILE --name $NAME
V3EFa8 http://blog.numino.net/
RETVAL="$?"
5IaNUM http://blog.numino.net/
[ "$RETVAL" = 2 ] && return 2
oEk3vP http://blog.numino.net/
# Wait for children to finish too if this is a daemon that forks
fc09gF http://blog.numino.net/
# and if the daemon is only ever run from this initscript.
3bvlw0 http://blog.numino.net/
# If the above conditions are not satisfied then add some other code
Y6eRBZ http://blog.numino.net/
# that waits for the process to drop all resources that could be
9xTbuk http://blog.numino.net/
# needed by services started subsequently. A last resort is to
4VVC1f http://blog.numino.net/
# sleep for some time.
5IW4E9 http://blog.numino.net/
start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
GY38J6 http://blog.numino.net/
[ "$?" = 2 ] && return 2
KLgS7E http://blog.numino.net/
# Many daemons don't delete their pidfiles when they exit.
cu8ncg http://blog.numino.net/
rm -f $PIDFILE
L4jndM http://blog.numino.net/
return "$RETVAL"
65RnRH http://blog.numino.net/
}
t48U6H http://blog.numino.net/
case "$1" in
5NW6do http://blog.numino.net/
start)
EFLe5F http://blog.numino.net/
echo "Starting $DESC" "$NAME..."
0G7zju http://blog.numino.net/
do_start
9fG0wo http://blog.numino.net/
case "$?" in
qVGsLH http://blog.numino.net/
0|1) echo " Starting $DESC $NAME succeeded" ;;
G80Dj7 http://blog.numino.net/
*) echo " Starting $DESC $NAME failed" ;;
zne3O1 http://blog.numino.net/
esac
dap1IE http://blog.numino.net/
;;
2w0bZh http://blog.numino.net/
stop)
7a327C http://blog.numino.net/
echo "Stopping $DESC $NAME..."
qV9G5C http://blog.numino.net/
do_stop
nLjKYG http://blog.numino.net/
case "$?" in
V68cVx http://blog.numino.net/
0|1) echo " Stopping $DESC $NAME succeeded" ;;
Rlc542 http://blog.numino.net/
*) echo " Stopping $DESC $NAME failed" ;;
ATuf4B http://blog.numino.net/
esac
W250jd http://blog.numino.net/
;;
nWK0R0 http://blog.numino.net/
restart|force-reload)
RNKx3L http://blog.numino.net/
#
xg9VcV http://blog.numino.net/
# If the "reload" option is implemented then remove the
x6Z7Z0 http://blog.numino.net/
# 'force-reload' alias
b6vN3n http://blog.numino.net/
#
y83Krt http://blog.numino.net/
echo "Restarting $DESC $NAME..."
VXN9Zo http://blog.numino.net/
do_stop
CyUt06 http://blog.numino.net/
case "$?" in
z3nc23 http://blog.numino.net/
0|1)
4lsMd2 http://blog.numino.net/
do_start
a09LL3 http://blog.numino.net/
case "$?" in
IrKszC http://blog.numino.net/
0|1) echo " Restarting $DESC $NAME succeeded" ;;
yPkOV7 http://blog.numino.net/
*) echo " Restarting $DESC $NAME failed: couldn't start $NAME" ;;
536ji5 http://blog.numino.net/
esac
d9xhJb http://blog.numino.net/
;;
xrlPXl http://blog.numino.net/
*)
10IhB7 http://blog.numino.net/
echo " Restarting $DESC $NAME failed: couldn't stop $NAME" ;;
zvFWnL http://blog.numino.net/
esac
242x4P http://blog.numino.net/
;;
JbWvf3 http://blog.numino.net/
*)
tEp1qM http://blog.numino.net/
echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
3zV7WN http://blog.numino.net/
exit 3
11lR6n http://blog.numino.net/
;;
pzTnON http://blog.numino.net/
esac
LKV79U http://blog.numino.net/
复制代码这个脚本文件需要作为transmission-daemon放在/etc/init.d/下面,输入以下命令:
cFXYLo http://blog.numino.net/
vi /etc/init.d/transmission-daemon
R1AMSf http://blog.numino.net/
复制代码按i,然后把上面这个脚本粘帖进去,按ESC,然后按冒号:,输入wq,按回车,文件就建立好了
9iFGdp http://blog.numino.net/
接下来更改文件的权限并使它在启动的时候可以自动执行:
ARshEU http://blog.numino.net/
chmod +x /etc/init.d/transmission-daemon
HCeg62 http://blog.numino.net/
chown root:root /etc/init.d/transmission-daemon
97tyTN http://blog.numino.net/
update-rc.d transmission-daemon defaults
Vy2efz http://blog.numino.net/
复制代码下来新建一个用户运行transmission,这里用的用户名是transmission,当然你也可以用其他的,不过记得要更改脚本了的USERNAME与之对应
xETuK8 http://blog.numino.net/
useradd -mr transmission
Yd4Yzn http://blog.numino.net/
chmod g+rwx /home/transmission/
wE0n2W http://blog.numino.net/
复制代码
NnM68G http://blog.numino.net/
建立transmission的下载目录并设定权限:
xZhHt0 http://blog.numino.net/
mkdir -p /home/transmission/Downloads/
wsP8y8 http://blog.numino.net/
chown -R transmission.transmission /home/transmission/Downloads/
V7YCiS http://blog.numino.net/
chmod g+w /home/transmission/Downloads/
Lo4qbJ http://blog.numino.net/
复制代码接下来就可以启动transmission了:
j3gzK6 http://blog.numino.net/
/etc/init.d/transmission-daemon start
1z5zk3 http://blog.numino.net/
复制代码
6y81Y5 http://blog.numino.net/
transmission启动后就自动会在/home/transmission/.config/transmission-daemon下生成settings.json文件,不过在你更改设置之前必须先停止transmission:
8ofZTt http://blog.numino.net/
/etc/init.d/transmission-daemon stop
0u4Rpx http://blog.numino.net/
复制代码这样你就可以开始更改设置了:
SnPnGH http://blog.numino.net/
vi /home/transmission/.config/transmission-daemon/settings.json
bx8gjv http://blog.numino.net/
复制代码按i以后就可以开始编辑了,至于参数什么意思请参考transmission的网站,改完后按ESC, 按冒号:,输入wq回车存盘
wFpDHL http://blog.numino.net/
为了方便你在家里的电脑上用Transmission Remote GUI的连上去管理,下面的设置你必须更改:
Br4xL4 http://blog.numino.net/
"rpc-whitelist-enabled": false - 默认是true,要改为false
o24iay http://blog.numino.net/
“rpc-password": "密码",
o8aTZ0 http://blog.numino.net/
"rpc-username": "用户名",
9qd7kT http://blog.numino.net/
上面的密码和用户名你可以自己指定
lKw95E http://blog.numino.net/
复制代码
GopKeA http://blog.numino.net/
从新启动transmission,新的设置就会生效:
5ywP9c http://blog.numino.net/
/etc/init.d/transmission-daemon start
Z5bWF7 http://blog.numino.net/
复制代码现在你可以下载并安装Transmission Remote GUI,在GUI的options输入VPS的IP地址,rpc的端口(默认是9091,你可以在settings.json中改成其他的),你的用户名和密码,就可以连到你VPS上的transmission了
21MM0V http://blog.numino.net/
Transmission Remote GUI的下载地址:
X26TWW http://blog.numino.net/
http://transmisson-remote-gui.googlecode.com/files/transgui-2.2-setup.exe
B53o3U http://blog.numino.net/
复制代码另外如果你用Android的手机,可以在菜市场搜索安装Transdroid,它可以很方便的在手机上管理transmission,也可以在手机上下载torrent,通过它传到vps的transmission里进行下载,非常方便
Rm5i5k http://blog.numino.net/
至此transmission在debian的安装就告一段落了,下来有时间我会写一下如何通过rss和irc自动下载torrent并传给transmission进行下载
更多相关内容...>>VPS上用debian装transmission教程

Bug报告 |  免责声明 |  联系我们 |  加入收藏

Copyright © 2006 NuminoStudio(www.numino.net) All Rights Reserved